#ifndef __MIMEVIEW_H__
#define __MIMEVIEW_H__

#include <glib.h>
#include <gtk/gtkwidget.h>
#include <gtk/gtkctree.h>

typedef struct _MimeView	MimeView;

#include "textview.h"
#include "messageview.h"
#include "procmime.h"

struct _MimeView
{
	GtkWidget *paned;

	GtkWidget *scrolledwin;
	GtkWidget *ctree;
	GtkWidget *vbox;

	GtkWidget *popupmenu;
	GtkItemFactory *popupfactory;

	GtkCTreeNode *opened;

	TextView *textview;
	//ImageView *imageview;
	MessageView *messageview;

	MimeInfo *mimeinfo;

	gchar *file;
};

MimeView *mimeview_create	(void);
void mimeview_init		(MimeView	*mimeview);
void mimeview_show_message	(MimeView	*mimeview,
				 MimeInfo	*mimeinfo,
				 const gchar	*file);

#endif /* __MIMEVIEW_H__ */
